SDL Library Documentation
Prev |  | Next

# SDL_JoystickName

## Name

SDL_JoystickName -- Get joystick name.

## Synopsis

    #include "SDL.h"

``const char *SDL_JoystickName`(int index);`

## Description

Get the implementation dependent name of joystick. The `index` parameter refers to the N'th joystick on the system.

## Return Value

Returns a char pointer to the joystick name.

## Examples

    /* Print the names of all attached joysticks */
    int num_joy, i;
    num_joy=SDL_NumJoysticks();
    printf("%d joysticks found\n", num_joy);
    for(i=0;i<num_joy;i++)
      printf("%s\n", SDL_JoystickName(i));

## See Also

`SDL_JoystickOpen`

Prev | Home | Next
SDL_NumJoysticks | Up | SDL_JoystickOpen